Storyden
Links

Link Get

Get the details for a specific link by its slug, including scraped metadata and the assets, nodes, and posts associated with it.

GET
/links/{link_slug}

Get the details for a specific link by its slug, including scraped metadata and the assets, nodes, and posts associated with it.

Authorization

cookiestoryden-session<token>

Path Parameters

Response Body

Link data.

application/json
  1. response

A web address with content information such as title, description, etc.

id*Identifier

A unique identifier for this resource.

Formatxid
createdAt*string

The time the resource was created.

Formatdate-time
updatedAt*string

The time the resource was updated.

Formatdate-time
deletedAt?string

The time the resource was soft-deleted.

Formatdate-time
misc?

Arbitrary extra data stored with the resource.

url*URL

A web address

Formaturl
slug*LinkSlug
domain*LinkDomain
title?LinkTitle
description?LinkDescription
favicon_image?
primary_image?
liveness_status?LinkLivenessStatus

Whether the link is reachable, unreachable, or has no conclusive result. Liveness checks preserve saved page metadata.

Value in"unknown""alive""offline"
liveness_checked_at?string

When the link was last checked for reachability.

Formatdate-time
scrape_status?LinkScrapeStatus

Whether page metadata is awaiting retrieval, was retrieved successfully, or could not be retrieved. Failed refreshes preserve previously saved metadata.

Value in"pending""success""failed"
scrape_attempted_at?string

When the latest scrape attempt was recorded.

Formatdate-time
scraped_at?string

When metadata was last successfully scraped.

Formatdate-time
assets*array<>
posts*array<>
nodes*array<>
recomentations*array<||||>
Example Request
curl -X GET 'https://example.com/api/links/string'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "url": "string",  "slug": "string",  "domain": "string",  "title": "string",  "description": "string",  "favicon_image": {    "id": "string",    "filename": "string",    "path": "string",    "mime_type": "string",    "width": 0,    "height": 0,    "parent": {}  },  "primary_image": {    "id": "string",    "filename": "string",    "path": "string",    "mime_type": "string",    "width": 0,    "height": 0,    "parent": {}  },  "liveness_status": "unknown",  "liveness_checked_at": "2019-08-24T14:15:22Z",  "scrape_status": "pending",  "scrape_attempted_at": "2019-08-24T14:15:22Z",  "scraped_at": "2019-08-24T14:15:22Z",  "assets": [    {      "id": "string",      "filename": "string",      "path": "string",      "mime_type": "string",      "width": 0,      "height": 0,      "parent": {}    }  ],  "posts": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "title": "string",      "description": "string",      "slug": "string",      "author": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "visibility": "draft",      "assets": [        {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        }      ],      "reacts": [        {          "id": "string",          "emoji": "string",          "author": {            "id": "string",            "joined": "2019-08-24T14:15:22Z",            "suspended": "2019-08-24T14:15:22Z",            "handle": "string",            "name": "string",            "signature": "string",            "roles": [              {                "badge": true,                "default": true,                "id": "string",                "name": "string",                "colour": "string",                "meta": {}              }            ]          }        }      ],      "collections": {        "in_collections": 0,        "has_collected": true      },      "likes": {        "likes": 0,        "liked": true      },      "meta": {}    }  ],  "nodes": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "name": "string",      "slug": "string",      "current_version_id": "string",      "assets": [        {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        }      ],      "link": {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "deletedAt": "2019-08-24T14:15:22Z",        "misc": {},        "url": "string",        "slug": "string",        "domain": "string",        "title": "string",        "description": "string",        "favicon_image": {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        },        "primary_image": {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        },        "liveness_status": "unknown",        "liveness_checked_at": "2019-08-24T14:15:22Z",        "scrape_status": "pending",        "scrape_attempted_at": "2019-08-24T14:15:22Z",        "scraped_at": "2019-08-24T14:15:22Z"      },      "description": "string",      "primary_image": {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      },      "content": "string",      "owner": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "parent": {},      "hide_child_tree": true,      "tags": [        {          "name": "string",          "colour": "string",          "item_count": 0        }      ],      "visibility": "draft",      "relevance_score": 0,      "meta": {}    }  ],  "recomentations": [    {      "kind": "post",      "ref": {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "deletedAt": "2019-08-24T14:15:22Z",        "misc": {},        "title": "string",        "description": "string",        "slug": "string",        "author": {          "id": "string",          "joined": "2019-08-24T14:15:22Z",          "suspended": "2019-08-24T14:15:22Z",          "handle": "string",          "name": "string",          "signature": "string",          "roles": [            {              "badge": true,              "default": true,              "id": "string",              "name": "string",              "colour": "string",              "meta": {}            }          ]        },        "visibility": "draft",        "assets": [          {            "id": "string",            "filename": "string",            "path": "string",            "mime_type": "string",            "width": 0,            "height": 0,            "parent": {}          }        ],        "reacts": [          {            "id": "string",            "emoji": "string",            "author": {              "id": "string",              "joined": "2019-08-24T14:15:22Z",              "suspended": "2019-08-24T14:15:22Z",              "handle": "string",              "name": "string",              "signature": "string",              "roles": [                {                  "badge": true,                  "default": true,                  "id": "string",                  "name": "string",                  "colour": "string",                  "meta": {}                }              ]            }          }        ],        "collections": {          "in_collections": 0,          "has_collected": true        },        "likes": {          "likes": 0,          "liked": true        },        "meta": {},        "body": "string",        "body_links": [          {            "id": "string",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "deletedAt": "2019-08-24T14:15:22Z",            "misc": {},            "url": "string",            "slug": "string",            "domain": "string",            "title": "string",            "description": "string",            "favicon_image": {              "id": "string",              "filename": "string",              "path": "string",              "mime_type": "string",              "width": 0,              "height": 0,              "parent": {}            },            "primary_image": {              "id": "string",              "filename": "string",              "path": "string",              "mime_type": "string",              "width": 0,              "height": 0,              "parent": {}            },            "liveness_status": "unknown",            "liveness_checked_at": "2019-08-24T14:15:22Z",            "scrape_status": "pending",            "scrape_attempted_at": "2019-08-24T14:15:22Z",            "scraped_at": "2019-08-24T14:15:22Z"          }        ]      }    }  ]}